Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.stratum.scheduler
Class JobConfig

    java.lang.Object
      org.apache.stratum.scheduler.JobConfig

public class JobConfig
extends java.lang.Object

This bean represents the settings used to create a JobDetail object for use in the Quartz scheduler.

Version:
  $Id: JobConfig.java 264191 2005-08-29 18:07:52Z henning $
Author:
  John Thorhauer

Constructor Summary
`JobConfig()` Default contructor

Method Summary
`java.lang.String` | `getClassName()` DOCUMENT ME!
`java.lang.String` | `getGroup()` The group name that this job will be associated with
`java.lang.String` | `getName()` The name of the job
`void` | `setClassName(java.lang.String s)` This is the full package/class name of the job that Quartz will run
`void` | `setGroup(java.lang.String s)` This is the group with which the job will be associated in Quartz.
`void` | `setName(java.lang.String s)` This is the name by which the job will be identified in Quartz

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobConfig

    public JobConfig()

  Default contructor

Method Detail

### setName

    public void setName(java.lang.String s)

  This is the name by which the job will be identified in Quartz

  Parameters:
    `s` - name of the Job

### getName

    public java.lang.String getName()

  The name of the job

  Returns:
    name of the Job

### setGroup

    public void setGroup(java.lang.String s)

  This is the group with which the job will be associated in Quartz.

  Parameters:
    `s` - name of the Group

### getGroup

    public java.lang.String getGroup()

  The group name that this job will be associated with

  Returns:
    the group name

### setClassName

    public void setClassName(java.lang.String s)

  This is the full package/class name of the job that Quartz will run

  Parameters:
    `s` - class name

### getClassName

    public java.lang.String getClassName()

  DOCUMENT ME!

  Returns:
    the full package/class name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.